## org.omg.CORBA
Class InterfaceDescription

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class InterfaceDescription
extends java.lang.Object
implements IDLEntity

This structure describes an interface. It provides less information than FullInterfaceDescription.

See Also:
  Serialized Form

Field Summary
`java.lang.String[]` `base_interfaces` Struct member base_interfaces
`java.lang.String` `defined_in` Struct member defined_in
`java.lang.String` `id` Struct member id
`java.lang.String` `name` Struct member name
`java.lang.String` `version` Struct member version

Constructor Summary
`InterfaceDescription()` Default constructor
`InterfaceDescription(java.lang.String name, java.lang.String id, java.lang.String defined_in, java.lang.String version, java.lang.String[] base_interfaces)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### id

    public java.lang.String id

  Struct member id

### defined_in

    public java.lang.String defined_in

  Struct member defined_in

### version

    public java.lang.String version

  Struct member version

### base_interfaces

    public java.lang.String[] base_interfaces

  Struct member base_interfaces

Constructor Detail

### InterfaceDescription

    public InterfaceDescription()

  Default constructor

### InterfaceDescription

    public InterfaceDescription(java.lang.String name,
                                java.lang.String id,
                                java.lang.String defined_in,
                                java.lang.String version,
                                java.lang.String[] base_interfaces)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `id` - id struct member
    `defined_in` - defined_in struct member
    `version` - version struct member
    `base_interfaces` - base_interfaces struct member